ModernLoop Internal API
Apipylon

Get a Pylon user by ID (GET /users/{id})

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/pylon/users/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": {    "id": "string",    "name": "string",    "email": "string",    "emails": [      "string"    ],    "avatar_url": "string",    "role_id": "string",    "role": {      "id": "string",      "name": "string",      "slug": "string"    },    "status": "string"  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Resource UUID or external identifier

Response Body

application/json

application/json

application/json

application/json

application/json